import { useQuery } from '@tanstack/react-query'
import { getPokemon } from '../api/pokemon'

export function usePokemon(id: number | null) {
  return useQuery({
    queryKey: ['pokemon', id],
    queryFn: () => getPokemon(id!),
    enabled: id !== null,
  })
}
